#include <gtk/gtk.h>

int main( int   argc,
          char *argv[] )
{
    GtkWidget *window;
    GtkWidget *box;
    /* Hier werden die drei Radio Buttons deklariert */
    GtkWidget *radio_button1;
    GtkWidget *radio_button2;
    GtkWidget *radio_button3;

    gtk_init( &argc, &argv );

    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    /* siehe Teil 3 des GTK-Workshops */
    box    = gtk_vbox_new( FALSE, 0 );
    /* Jetzt kommt's neue. Beim ersten aufruf ist das erste Argument NULL! */
    radio_button1 = gtk_radio_button_new_with_label( NULL, "Option 1" );
    /* Ab jetzt mssen wir die Gruppe angeben */
    radio_button2 = gtk_radio_button_new_with_label(
          gtk_radio_button_group( GTK_RADIO_BUTTON( radio_button1 )),
          "Option 2");
    radio_button3 = gtk_radio_button_new_with_label(
          gtk_radio_button_group( GTK_RADIO_BUTTON( radio_button2 )),
          "Option 3");
    /* Um noch mehr zu demonstrieren, wird der zweite Button angemacht */
    gtk_toggle_button_set_active( GTK_TOGGLE_BUTTON( radio_button2 ), TRUE );
    /* Jetzt noch alles schn zusammenpacken :-) */
    gtk_box_pack_start( GTK_BOX( box ), radio_button1, TRUE, FALSE, 2);
    gtk_box_pack_start( GTK_BOX( box ), radio_button2, TRUE, FALSE, 2);
    gtk_box_pack_start( GTK_BOX( box ), radio_button3, TRUE, FALSE, 2);
    gtk_container_set_border_width( GTK_CONTAINER( window ), 10 );
    /* Und die Box kommt in den Fenster-Container */
    gtk_container_add( GTK_CONTAINER( window ), box );
    /* alles wird angezeigt */
    gtk_widget_show_all( window );
    gtk_main();
    return(0);
}